#!/bin/bash

. ./scripts/cmip5name.sh

for file in $*; do
    # construct output file according to CMIP5 conventions
    name=$(cmip5variable $file)
    period=$(cmip5period $file)
    model=$(cmip5model $file)
    experiment=$(cmip5experiment $file)
    ensemble=$(cmip5ensemble $file)
    year=$(cmip5firstyear $file)
    firstmonth='01'
    lastmonth='12'
    infile=$name'_'$period'_'$model'_'$experiment'_'$ensemble'_'$year??'-'$year??'.nc'
    outfile=$name'_'$period'_'$model'_'$experiment'_'$ensemble'_'$year$firstmonth'-'$year$lastmonth'.nc'

    ncrcat $infile $outfile
done

