#!/bin/bash
# Christian Dieterich Tue Feb 12 09:14:03 CET 2013
# Modified Wed Apr  9 16:59:53 CEST 2014

# Provides a selection of bash functions that return specific parts of a
# standard CMIP5 file name for monthly means:
# variable_period_model_experiment_ensemble_yyyymm-yyyymm.nc

function cmip5filename {
    filename=$(basename $* .nc)
    echo $filename
}
function cmip5variable {
    variable=$(echo $(cmip5filename $*) | cut -d'_' -f1)
    echo $variable
}
function cmip5period {
    period=$(echo $(cmip5filename $*) | cut -d'_' -f2)
    echo $period
}
function cmip5model {
    model=$(echo $(cmip5filename $*) | cut -d'_' -f3)
    echo $model
}
function cmip5experiment {
    experiment=$(echo $(cmip5filename $*) | cut -d'_' -f4)
    echo $experiment
}
function cmip5ensemble {
    ensemble=$(echo $(cmip5filename $*) | cut -d'_' -f5)
    echo $ensemble
}
function cmip5firstdate {
    firstdate=$(echo $(cmip5filename $*) | cut -d'_' -f6 | cut -d'-' -f1)
    echo $firstdate
}
function cmip5lastdate {
    lastdate=$(echo $(cmip5filename $*) | cut -d'_' -f6 | cut -d'-' -f2)
    echo $lastdate
}
function cmip5firstyear {
    firstyear=$(cmip5firstdate $* | cut -c1-4)
    echo $firstyear
}
function cmip5lastyear {
    lastyear=$(cmip5lastdate $* | cut -c1-4)
    echo $lastyear
}
function cmip5firstmonth {
    firstmonth=$(cmip5firstdate $* | cut -c5-6)
    echo $firstmonth
}
function cmip5lastmonth {
    lastmonth=$(cmip5lastdate $* | cut -c5-6)
    echo $lastmonth
}
function cmip5firstmmdd {
    firstmmdd=$(cmip5firstmonth $*)01
    echo $firstmmdd
}
function cmip5lastmmdd {
    lastmmdd=$(cmip5lastmonth $*)31
    echo $lastmmdd
}
function cmip5timestamp {
    firstdate=$(cmip5firstdate $*)
    lastdate=$(cmip5lastdate $*)
    timestamp=$firstdate'-'$lastdate
    echo $timestamp
}
