#!/bin/bash

tmpfile=$(mktemp --suffix=.nc)
tmpfile2=$(mktemp --suffix=.nc)

extra='rotated_pole'

for file in $*; do
    vasfile=$file
    uasfile=$(basename $vasfile | sed "s/vas/uas/g")

    cdo -O merge $uasfile $vasfile $tmpfile # combine uas and vas
    cdo -O rotuvb,uas,vas $tmpfile $tmpfile2 # rotate uas and vas

    ncks -O -v 'vas',$extra $tmpfile2 $vasfile # pick variable vas
    ncks -O -v 'uas',$extra $tmpfile2 $uasfile # pick variable uas
done

rm -f $tmpfile $tmpfile2

